/*
// Created by Lucile on 02/03/2021.
*/

/*!
 * \file DS.c
 * \brief Exam Source File
 * \authors Lucile
 * \version 1
 * \date 02/03/2021
 *
 * Character function implementation.
 *
 */

#include <stdio.h>
#include <SDL2/SDL.h>
#include <SDL2/SDL_image.h>
#include "DS.h"

/*!
 * \fn int init_DS(DS * exam, int door_DS, char * path)
 * \brief This function initialize a DS : position (the door number) and the path to the DS's image.
 *
 * \param [in] exam a DS pointer
 * \param [in] door_DS a door number corresponding to the DS location
 * \param [in] path the DS image path
 * \return 1 if the initialization went right.
 */

void init_DS(DS * exam, int door_DS, char * path){
    exam->door=door_DS;
    exam->image_DS = malloc(strlen(path));
    strcpy(exam->image_DS, path);

    switch (exam->door)
    {
        case 2:
            exam->x_DS = 144;
            exam->y_DS= 48;
            exam->larg_DS= 21;
            exam->long_DS= 14;
            break;

        case 3:
            exam->x_DS = 369;
            exam->y_DS= 41;
            exam->larg_DS= 21;
            exam->long_DS= 10;
            break;

        case 4:
            exam->x_DS = 564;
            exam->y_DS= 38;
            exam->larg_DS= 23;
            exam->long_DS= 12;
            break;

        case 5:
            exam->x_DS = 43;
            exam->y_DS= 85;
            exam->larg_DS= 24;
            exam->long_DS= 14;
            break;
        case 6:
            exam->x_DS = 237;
            exam->y_DS= 98;
            exam->larg_DS= 11;
            exam->long_DS= 19;
            break;

        case 7:
            exam->x_DS = 460;
            exam->y_DS= 74;
            exam->larg_DS= 12;
            exam->long_DS= 17;
            break;
        case 8:
            exam->x_DS = 75;
            exam->y_DS= 172;
            exam->larg_DS= 19;
            exam->long_DS= 11;
            break;

        case 9:
            exam->x_DS = 316;
            exam->y_DS= 162;
            exam->larg_DS= 13;
            exam->long_DS= 18;
            break;

        case 10:
            exam->x_DS = 454;
            exam->y_DS= 149;
            exam->larg_DS= 20;
            exam->long_DS= 10;
            break;
        case 11:
            exam->x_DS = 197;
            exam->y_DS= 208;
            exam->larg_DS= 10;
            exam->long_DS= 3;
            break;

        case 12:
            exam->x_DS = 549;
            exam->y_DS= 205;
            exam->larg_DS= 5;
            exam->long_DS= 12;
            break;

        case 13:
            exam->x_DS = 637;
            exam->y_DS= 185;
            exam->larg_DS= 5;
            exam->long_DS= 14;
            break;

        case 14:
            exam->x_DS = 235;
            exam->y_DS= 269;
            exam->larg_DS= 4;
            exam->long_DS= 11;
            break;

        case 15:
            exam->x_DS = 320;
            exam->y_DS= 267;
            exam->larg_DS= 8;
            exam->long_DS= 4;
            break;
        case 16:
            exam->x_DS = 88;
            exam->y_DS= 361;
            exam->larg_DS= 3;
            exam->long_DS= 15;
            break;

        case 17:
            exam->x_DS = 149;
            exam->y_DS= 54;
            exam->larg_DS= 12;
            exam->long_DS= 5;
            break;
        case 18:
            exam->x_DS = 149;
            exam->y_DS= 54;
            exam->larg_DS= 12;
            exam->long_DS= 5;
            break;

        case 19:
            exam->x_DS = 499;
            exam->y_DS= 324;
            exam->larg_DS= 12;
            exam->long_DS= 5;
            break;

        case 20:
            exam->x_DS = 149;
            exam->y_DS= 54;
            exam->larg_DS= 12;
            exam->long_DS= 5;
            break;

        case 21:
            exam->x_DS = 149;
            exam->y_DS= 54;
            exam->larg_DS= 12;
            exam->long_DS= 5;
            break;

        case 22:
            exam->x_DS = 149;
            exam->y_DS= 54;
            exam->larg_DS= 12;
            exam->long_DS= 5;
            break;

        case 23:
            exam->x_DS = 149;
            exam->y_DS= 54;
            exam->larg_DS= 12;
            exam->long_DS= 5;
            break;

        case 24:
            exam->x_DS = 149;
            exam->y_DS= 54;
            exam->larg_DS= 12;
            exam->long_DS= 5;
            break;

        case 25:
            exam->x_DS = 149;
            exam->y_DS= 54;
            exam->larg_DS= 12;
            exam->long_DS= 5;
            break;
        case 26:
            exam->x_DS = 149;
            exam->y_DS= 54;
            exam->larg_DS= 12;
            exam->long_DS= 5;
            break;

        case 27:
            exam->x_DS = 149;
            exam->y_DS= 54;
            exam->larg_DS= 12;
            exam->long_DS= 5;
            break;
        case 28:
            exam->x_DS = 149;
            exam->y_DS= 54;
            exam->larg_DS= 12;
            exam->long_DS= 5;
            break;

        case 29:
            exam->x_DS = 149;
            exam->y_DS= 54;
            exam->larg_DS= 12;
            exam->long_DS= 5;
            break;

        case 30:
            exam->x_DS = 149;
            exam->y_DS= 54;
            exam->larg_DS= 12;
            exam->long_DS= 5;
            break;

    }

}